

<ion-content class="ion-padding">

  <div class="ion-text-center ion-padding"> 
    <img class="logo" src="./../../assets/img/logo.png" alt="logo">
  </div>


  <form  [formGroup]="loginForm" (ngSubmit)="loginUser(loginForm.value)">

    <ion-item>

      <ion-label>Email </ion-label>
      <ion-input formControlName="user"> </ion-input>
 
    </ion-item>

    <div class="validation-error">
      <!-- <ng-container *ngFor="let validation of validation_messages.user"> 

        <div *ngIf="loginForm.get('user').hasError(validation.type) && 
        (loginForm.get('user').dirty  || loginForm.get('user').touched)"> 

        {{validation.message}}

      </div> -->


      <!-- </ng-container>  -->
    </div>

    <ion-item>


      <ion-label>Password </ion-label>
      <ion-input type="password" formControlName="password"></ion-input>
      
    </ion-item>


    <div class="validation-error">

      <ng-container *ngFor="let validation of validation_messages.password"> 

        <div *ngIf="loginForm.get('password').hasError(validation.type) && 
        (loginForm.get('password').dirty  || loginForm.get('password').touched)"> 

        {{validation.message}}

      </div>


      </ng-container> 
    </div>


  
  
    <ion-button expand="full"
    [disabled]="loginForm.invalid"
    type="submit"
     shape="round">  Login </ion-button>


  </form>


  <article class="ion-text-center"> 
  {{errorLogin}}

</article>


</ion-content>

<ion-footer class="ion-text-center"> 

  <ion-button expand="full" fill="outline" shape="round" (click)="goToRegister()">  clic para registrarte </ion-button>

</ion-footer>
